#include <iostream>
#include <string>
#include <vector>
using namespace std;

int main()
{
    string s,t;
    cin>>s>>t;
    vector<int> vs(t.size(), 0);
    int i=0,j=0,c=0;
    int minn=10000;
    while(i<s.size())
    {
        if(j<t.size())
        {
            if(s[i]==t[j])
            {
                vs[j]++;
                i++;
            }
            else
            {
                if(vs[j]<minn)
                {
                    minn=vs[j]; c=j;
                }
                if(s[i-1]==t[j])
                    j++;
                else i++;
            }
        }
        else
        {
            j=0;
        }

    }
    cout<<minn<<endl;
    if(j+1==t.size()){
    for(int i=0;i<s.size();i++)
    {
        if(s[i]!=t[c])
        {
            cout<<s[i];
        }
        else{ cout<<"*"; }
    }
}
else cout<<s;
    return 0;

}